Create a new endpoint.
An Atlas Project/Group ID.
El ObjectID de tu aplicación. La sección de ID de Proyecto y ID de la aplicación de App Services API muestra cómo encontrar este valor.
Un objeto de configuración válido para el nuevo endpoint.
Los valores son GET, POST, PUT, PATCH, DELETE o *.
El ID único de la función endpoint.
Los valores son NO_VALIDATION, SECRET_AS_QUERY_PARAM o VERIFY_PAYLOAD.
Si validation_method está establecido en "SECRET_AS_QUERY_PARAM" o "VERIFY_PAYLOAD", este es el _id del Secreto que autoriza las solicitudes.
El formato de datos por defecto devuelto por los HTTPS endpoints personalizados.
Los valores son JSON o EJSON.
The endpoint's unique ID.
curl \
--request POST 'https://services.cloud.mongodb.com/api/admin/v3.0/groups/{groupId}/apps/{appId}/endpoints' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{
"route": "string",
"http_method": "GET",
"function_id": "string",
"validation_method": "NO_VALIDATION",
"secret_id": "string",
"return_type": "JSON",
"respond_result": true,
"fetch_custom_user_data": true,
"create_user_on_auth": true,
"disabled": true,
"_id": "string"
}'
{
"route": "string",
"http_method": "GET",
"function_id": "string",
"validation_method": "NO_VALIDATION",
"secret_id": "string",
"return_type": "JSON",
"respond_result": true,
"fetch_custom_user_data": true,
"create_user_on_auth": true,
"disabled": true,
"_id": "string"
}
{
"route": "string",
"http_method": "GET",
"function_id": "string",
"validation_method": "NO_VALIDATION",
"secret_id": "string",
"return_type": "JSON",
"respond_result": true,
"fetch_custom_user_data": true,
"create_user_on_auth": true,
"disabled": true,
"_id": "string",
"function_name": "string"
}